Subject: Re: [TLS] Certificate Compression: Add Zstd Code Point?

From: "W. Felix Handte" <[email-masked]>
Date: Mon, 13 May 2019 12:55:16 -0400

Hey all,

In case anyone is interested in testing inter-operability:

I've landed support for Zstd certificate compression in Facebook's 
implementation of TLS 1.3 [1]. I've also deployed that support to 
Facebook's servers.

Best,
Felix

[1] https://github.com/facebookincubator/fizz

On 4/4/19 4:45 PM, Alessandro Ghedini wrote:
> On Mon, Apr 01, 2019 at 06:09:16PM -0400, Victor Vasiliev wrote:
>> This sounds reasonable to me.  I currently don't have a plan for
>> implementing this, but since zstd is well-defined and has an RFC published
>> (that I can easily cite), I see no reason not to add it.
>>
>> I wrote up a PR: https://github.com/tlswg/certificate-compression/pull/26.
>> I will merge it before the last call, unless there are objections.
> 
> This seems pretty inoffensive (just one more allocated codepoint), and it's
> already been a few days and nobody seems to object.
> 
> We'd like to submit a new draft version so we can finally go to WGLC, so if
> nobody objects by tomorrow I'll just merge the PR and upload the draft.
> 
> Cheers
>